Package org.eclipse.emf.cdo.common.lob

# Class CDOLob<IO>

java.lang.Object
org.eclipse.emf.cdo.common.lob.CDOLobInfo
org.eclipse.emf.cdo.common.lob.CDOLob<IO>

Direct Known Subclasses:
  `CDOBlob`, `CDOClob`

public abstract class CDOLob<IO> extends CDOLobInfo
A identifiable large object with streaming support.

Since:
  4.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOLobStore`
`DEFAULT_STORE`

## Method Summary

Modifier and Type
Method
Description
`final long`
`getByteCount()`
`abstract IO`
`getContents()`
`final CDOLobStore`
`getStore()`
`abstract File`
`getStoreFile()`
`abstract String`
`getString()`
`protected abstract CDOLobInfo`
`put(IO contents)`

### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

`equals, getID, getIDString, getSize, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_STORE

public static final CDOLobStore DEFAULT_STORE

Since:
  4.27

## Method Details

### getStore

public final CDOLobStore getStore()

### getStoreFile

public abstract File getStoreFile()

Since:
  4.19

### getContents

public abstract IO getContents() throws IOException

Throws:
  `IOException`

### getString

public abstract String getString() throws IOException

Throws:
  `IOException`
Since:
  4.13

### getByteCount

public final long getByteCount()

Since:
  4.19

### put

protected abstract CDOLobInfo put(IO contents) throws IOException

Throws:
  `IOException`